%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-citron
Version: 2.2.1
Release: alt1.M41.1
Serial: 2
Summary: Citron Infrared Touch Driver (CiTouch)
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-citron = %serial:%version-%release
Obsoletes: xorg-x11-drv-citron

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

%description
citron  is  a  Xorg  input  driver for Citron Infrared Touch devices.

The citron driver acts as a pointer input device, and may  be  used  as
the  X  server's  core  pointer. It is connected via a "RS232" with the
host.

%def_disable static

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.2.1-alt1.M41.1
- build for branch 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.2.1-alt2
- renamed xorg-x11-drv-citron to xorg-drv-citron
- added requires XORG_ABI_XINPUT = 2.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:2.2.1-alt1
- 2.2.1

* Sun Sep 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:2.2.0-alt1
- 2.2.0

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:2.15-alt1
- 2.15

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.1.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.1.1.2-alt0.1
- initial release

